tests: propagate 77 exit code from "tools/run-nm-test.sh"

This is important. We must not swallow 77, which has the meaning
that the test was skipped.

Fixes: f65747f6e9 ('tests: let "run-nm-test.sh" fail with exit code 1 on failure')
(cherry picked from commit aff40f736c)
This commit is contained in:
Thomas Haller 2022-02-18 18:53:07 +01:00 committed by Lubomir Rintel
parent 92b852673e
commit 180b9e0e41

View file

@ -302,8 +302,8 @@ if ! _is_true "$NMTST_USE_VALGRIND" 0; then
export NM_TEST_UNDER_VALGRIND=0
"${NMTST_DBUS_RUN_SESSION[@]}" "$TEST" "${TEST_ARGV[@]}"
r=$?
[ $r == 0 ] || die "exec \"$TEST\" failed with exit code $r"
exit 0
[ $r == 0 -o $r == 77 ] || die "exec \"$TEST\" failed with exit code $r"
exit $r
fi
if [[ -z "${NMTST_VALGRIND}" ]]; then